# Example usage:

def load_and_save_emojis(library):
    star = library.get_emoji("star-struck")
    pensive = library.get_emoji("pensive face")
    star.to_svg("out/star_copy.svg")
    pensive.to_svg("out/pensive_copy.svg")


def removing_mouth(library):
    # I have no mouth but I must yee-haw
    cowboy = library.get_emoji("cowboy hat face")
    cowboy = cowboy - ('mouth',)
    cowboy.to_svg("out/silent_cowboy.svg")


def bored_starry(library):
    # Bored lookin' face with the star-struck eyes
    star = library.get_emoji("star-struck")
    pensive = library.get_emoji("pensive face")
    star = star - ('mouth',)
    pensive = pensive - ('eyes',)
    pensive_star = pensive + star
    pensive_star.to_svg("out/bored_star_struck.svg")


def putting_face_on_heart(library):
    heart = library.get_emoji("sparkling heart")
    saluting = library.get_emoji("saluting face")
    heart = heart + (saluting - ('face', 'decoration'))
    heart.to_svg("out/heart_salute.svg")


def starry_tears(library):
    tear_face = library.get_emoji("smiling face with tear")
    star = library.get_emoji("star-struck")
    tear_face["eyes"] = star["eyes"]
    tear_face.to_svg("out/star_tears.svg")


def crying_thinking(library):
    tear_face = library.get_emoji("smiling face with tear")
    thinking = library.get_emoji("thinking face")
    thinking_hand = thinking["decoration"]
    tear_face = tear_face + {"decoration": thinking_hand}
    tear_face.to_svg("out/thinking_tear_face.svg")


def main():
    library = EmojiLibrary("openmoji")

    # Uncomment each function call as you implement the necessary functions.

    # Run this after you implement Emoji.from_svg and EmojiLibrary.load_emojis
    # Should create star_copy.svg and pensive_copy.svg in the out folder,
    # and they should look exactly like 1F929.svg and 1F614.svg in the openmoji
    # folder.
    # load_and_save_emojis(library)

    # Run me after you implement __getitem__ and __setitem__
    # Replaces crying eyes with starry eyes.
    # starry_tears(library)

    # Run me after you implement __add__. Puts a thinking hand on a teary
    # emoji.
    # crying_thinking(library)

    # Run me after you implement __sub__. Should create a version of the
    # cowboy emoji without a mouth in out/silent_cowboy.svg
    # removing_star_eyes(library)

    # Run me after you implement __sub__ and _add__.
    # Should create an emoji with star eyes and a "pensive" mouth (not smiling)
    # bored_starry(library)

    # Run me after you implement __sub__ and __add__.
    # Puts a face on a heart emoji.
    # putting_face_on_heart(library)


if __name__ == "__main__":
    main()
